com.orsoncharts.marker

## Enum CategoryMarkerType

- java.lang.Object
- - java.lang.Enum<CategoryMarkerType>
  - - com.orsoncharts.marker.CategoryMarkerType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CategoryMarkerType>

      public enum CategoryMarkerType
      extends java.lang.Enum<CategoryMarkerType>

  An enumeration of the different types of `CategoryMarker`.
  Since:
    1.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAND` The marker is represented as a band covering the category width.
    `LINE` The marker is represented as a line in the middle of the category.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CategoryMarkerType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CategoryMarkerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LINE

          public static final CategoryMarkerType LINE

      The marker is represented as a line in the middle of the category.

    - #### BAND

          public static final CategoryMarkerType BAND

      The marker is represented as a band covering the category width.

  - ### Method Detail

    - #### values

          public static CategoryMarkerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CategoryMarkerType c : CategoryMarkerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CategoryMarkerType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null